package com.pcloud.book.personal.mapper;

import com.pcloud.book.personal.dto.PcloudLabelGroupDto;
import com.pcloud.book.personal.entity.PcloudLabel;

import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface PcloudLabelMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(PcloudLabel record);

    int insertSelective(PcloudLabel record);

    PcloudLabel selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(PcloudLabel record);

    int updateByPrimaryKey(PcloudLabel record);

    List<PcloudLabelGroupDto> getPcloudLabelGroup();
}